
Foreman - Bug #9782

Using media_path in Templates does not resolve properly

03/16/2015 09:17 AM - Mattias Giese

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3347,

https://github.com/theforeman/communit

y-templates/pull/256

  

Description

Using <%= media_path %> in provisioning templates always resolves to '/media'.

From the IRC:

<snip>

14:08:29    Dominic | lowercase: yeah, I can reproduce that, I guess something is leaking in from Rails as it has a "media_path" that   

| would link to our installation media page - I suppose that's the result you're getting.  Could you file that                     | please?

[...]

14:11:05    Dominic | as a workaround you can use: <%= @host.os.medium_uri(@host) >

14:11:18    Dominic | (that's what the media_path helper calls)

14:12:10    Dominic | or <= @mediapath %> actually, I think that's also the same, it's what we use in the kickstarts

</snip>

Related issues:

Related to Foreman - Bug #12791: The architecture is not interpolated for the... Closed 12/12/2015

Related to Foreman - Refactor #14319: Remove media_path template helper which... Closed 03/22/2016

Related to Foreman - Bug #15709: SLES doesn't get mediapath set in PXELinux c... Closed 07/15/2016

Associated revisions

Revision 47306918 - 05/20/2015 07:37 PM - Michael Moll 

refs #9782 - SUSE: usage of mediapath in PXELinux

Revision 7aa342ea - 03/30/2016 04:53 AM - Michael Moll 

fixes #9782 - implement mediapath for suse/yast

Revision 62b5db1a - 04/06/2016 12:42 PM - Michael Moll 

refs #9782 - implement mediapath for suse/yast

Revision 0f677011 - 04/18/2016 01:45 PM - Michael Moll 

fixes #9782 - implement mediapath for suse/yast

(cherry picked from commit 7aa342eabf33f96916f3061db313aecba46b0933)

History

#1 - 03/16/2015 09:17 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#2 - 04/27/2015 06:48 AM - Dominic Cleal
- translation missing: en.field_release changed from 28 to 50

#3 - 05/18/2015 08:53 PM - Anonymous

I tried to get @mediapath working for SUSE, but didn't succeed, maybe somebondy else can spot something, I was missing here:

diff --git a/app/controllers/unattended_controller.rb b/app/controllers/unattended_controller.rb

index da7eb0c..9cffe3b 100644

--- a/app/controllers/unattended_controller.rb

+++ b/app/controllers/unattended_controller.rb

@@ -236,6 +236,7 @@ class UnattendedController < ApplicationController

   end

   def yast_attributes

+    @mediapath = @host.operatingsystem.mediumpath @host

   end

   def coreos_attributes

diff --git a/app/models/operatingsystems/suse.rb b/app/models/operatingsystems/suse.rb

index 1f8487f..cfcf8f5 100644

--- a/app/models/operatingsystems/suse.rb

+++ b/app/models/operatingsystems/suse.rb

@@ -1,6 +1,11 @@

 class Suse < Operatingsystem

   PXEFILES = {:kernel => "linux", :initrd => "initrd"}

+  # Simple output of the media url

+  def mediumpath(host)

+    medium_uri(host).to_s

+  end

+

   def pxe_type

     "yast" 

   end

#4 - 05/19/2015 07:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2393 added

- Pull request deleted ()

#5 - 05/20/2015 02:25 AM - Dominic Cleal

- translation missing: en.field_release changed from 50 to 56

#6 - 05/20/2015 08:46 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2393)

#7 - 06/15/2015 05:17 AM - Dominic Cleal

- translation missing: en.field_release deleted (56)

#8 - 12/14/2015 06:38 AM - Anonymous

- Related to Bug #12791: The architecture is not interpolated for the variable @host.url_for_boot(:initrd) on suse based systems added

#9 - 03/19/2016 04:49 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman/pull/3347 added

#10 - 03/22/2016 12:35 PM - Anonymous

- Related to Refactor #14319: Remove media_path template helper which is no longer used added

#11 - 03/30/2016 05:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7aa342eabf33f96916f3061db313aecba46b0933.

#12 - 03/30/2016 07:58 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/256 added

#13 - 03/31/2016 06:35 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#14 - 07/15/2016 08:11 PM - Anonymous

- Related to Bug #15709: SLES doesn't get mediapath set in PXELinux config file added
